View Issue Details

IDProjectCategoryView StatusLast Update
0000902SOGoWeb Calendarpublic2010-10-18 11:07
Reporterchris_hobbs Assigned Towsourdeau 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.2 
Fixed in Version1.3.3 
Summary0000902: Events created after November 7 (DST Switch) show 1 hour off in Monthly View
Description

Our users are in US/Pacific. Create an event after November 7 and the Monthly View calendar shows the hour off by one. Creating an event after DST starts again in 2011 and the Monthly View shows fine.

Additional Information

Running very recent nightlies: @vizzini.inverse.ca 201010111126

Screenshot shows event created in SOGo web for November 23. Note time difference displayed.

TagsNo tags attached.

Relationships

related to 0000910 resolvedwsourdeau quick dates of events occurring on a time swith is badly computed 

Activities

2010-10-12 18:59

 

ludovic

ludovic

2010-10-12 19:24

administrator   ~0001597

How about the day and week views?

chris_hobbs

chris_hobbs

2010-10-12 19:30

reporter   ~0001598

Sorry, meant to mention that Day and Week views are fine.

Wolf

Wolf

2010-10-15 07:07

reporter   ~0001616

Same problem here timezone Europe/Berlin. If preference is set to "week starts with Monday" everything is displayed correctly. Every other starting day fails. Maybe this hint is helpfull for debugging.

wsourdeau

wsourdeau

2010-10-15 16:51

viewer   ~0001619

Fixed in 5d26777e48d1f76d4cc5c2f7125008e236e3b61b

ludovic

ludovic

2010-10-18 11:03

administrator   ~0001624

This fix is broken. Now on November 7th, it shows 1 hour earlier in ALL views while it is ok for events PRIOR and AFTER November 7th.

wsourdeau

wsourdeau

2010-10-18 11:05

viewer   ~0001625

This fix is fine. What you mention is another bug, for which another report has been created: 0000910.

ludovic

ludovic

2010-10-18 11:06

administrator   ~0001626

Issues should have been linked.

Issue History

Date Modified Username Field Change
2010-10-12 18:59 chris_hobbs New Issue
2010-10-12 18:59 chris_hobbs File Added: Screen shot 2010-10-12 at 3.58.10 PM.png
2010-10-12 19:24 ludovic Note Added: 0001597
2010-10-12 19:30 chris_hobbs Note Added: 0001598
2010-10-15 07:07 Wolf Note Added: 0001616
2010-10-15 16:51 wsourdeau Note Added: 0001619
2010-10-15 16:51 wsourdeau Status new => resolved
2010-10-15 16:51 wsourdeau Fixed in Version => 1.3.3
2010-10-15 16:51 wsourdeau Resolution open => fixed
2010-10-15 16:51 wsourdeau Assigned To => wsourdeau
2010-10-18 11:03 ludovic Note Added: 0001624
2010-10-18 11:03 ludovic Status resolved => feedback
2010-10-18 11:03 ludovic Resolution fixed => reopened
2010-10-18 11:05 wsourdeau Note Added: 0001625
2010-10-18 11:05 wsourdeau Status feedback => resolved
2010-10-18 11:05 wsourdeau Resolution reopened => fixed
2010-10-18 11:06 ludovic Note Added: 0001626
2010-10-18 11:07 ludovic Relationship added related to 0000910
2010-10-18 11:07 ludovic Status resolved => closed